DCMTK - Bug #879

DLLs are ABI incompatible when compiled with / without OpenSSL
2019-04-25 11:11 - Jan Schlamelcher

Status: Closed Start date: 2019-04-25
Priority: Normal Due date:

Assignee: Jan Schlamelcher % Done: 100%
Category: Estimated time: 0:00 hour
Target version: 3.6.7

Module: Compiler:

Operating System: Windows

Description

The resulting demtls.dll (and potentially others) are ABI incompatible between two compiled versions of DCMTK when one was
translated with- and the other one without OpenSSL. This leads to strange application behavior when mixing files from different
builds: not only crashes but also ignoring some command line arguments and 'acting wired', making the issue not that easy to
diagnose.

History

#1 - 2020-01-05 15:20 - Marco Eichelberg
- Status changed from New to Closed

- Assignee set to Jan Schlamelcher

This issue was fixed with the release of DCMTK 3.6.5. Starting with this release, the Windows DLLs that have different ABIs with/without OpenSSL,
are shipped in two versions, named "dcmnet.dll" and "dcmnet-openssl.dll", respectively. The affected libraries (as of DCMTK 3.6.5) are:

e dcmnet
e dcmtls
e dcmpstat
e dcmdsig

#2 - 2020-01-05 15:20 - Marco Eichelberg
- % Done changed from 0 to 100

#3 - 2020-01-06 11:29 - Jan Schlamelcher
- Status changed from Closed to Reopened
- Priority changed from High to Normal

- % Done changed from 100 to 80

Sadly, so far the fix is only a patch that is applied automatically as part of our release process. We still need to incorporate that patch into the public
DCMTK so that other people outside our team can use it, which is why | did not close this issue yet.

#4 - 2020-05-25 13:36 - Michael Onken

- Target version set to 3.6.6

#5 - 2020-07-10 16:31 - Marco Eichelberg
- Target version changed from 3.6.6 to 3.6.7

#6 - 2021-03-29 15:16 - Jan Schlamelcher
- Status changed from Reopened to Closed

- % Done changed from 80 to 100

Closed by commit #a1615b246fe5837 and documented in commit #56a75cde9af405.
